package beilv.vipCard.mapper;

import beilv.vipCard.domain.VipCard;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 储值会员卡Mapper接口
 *
 * @author LG
 * @date 2025-11-12
 */
public interface VipCardMapper {
    /**
     * 查询储值会员卡
     *
     * @param id 储值会员卡主键
     * @return 储值会员卡
     */
    public VipCard selectVipCardById(String id);

    /**
     * 查询储值会员卡列表
     *
     * @param vipCard 储值会员卡
     * @return 储值会员卡集合
     */
    public List<VipCard> selectVipCardList(VipCard vipCard);

    /**
     * 新增储值会员卡
     *
     * @param vipCard 储值会员卡
     * @return 结果
     */
    public int insertVipCard(VipCard vipCard);

    /**
     * 修改储值会员卡
     *
     * @param vipCard 储值会员卡
     * @return 结果
     */
    public int updateVipCard(VipCard vipCard);

    /**
     * 删除储值会员卡
     *
     * @param id 储值会员卡主键
     * @return 结果
     */
    public int deleteVipCardById(String id);

    /**
     * 批量删除储值会员卡
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteVipCardByIds(String[] ids);

    VipCard selectVipCardByUserId(@Param("userId") String userId);
}
